Today I installed New Blog Templates on a fairly fresh WP

Today I installed New Blog Templates on a fairly fresh WP installation that I'm building and created a couple template sites and when I tried creating a new site, I received the following errors:

Warning: array_walk_recursive() expects parameter 1 to be array, boolean given in /public_html/wp-content/plugins/blogtemplates/blogtemplatesfiles/copier.php on line 370

Warning: Cannot modify header information - headers already sent by (output started at /public_html/wp-content/plugins/blogtemplates/blogtemplatesfiles/copier.php:370) in /home/donedeal/public_html/wp-includes/pluggable.php on line 1121